Skip to main content
PUT
/
v1
/
resources
/
static_analysis_code_vulnerability_connectors
Sync all Static Code Analysis Vulnerabilities
curl --request PUT \
  --url https://api.vanta.com/v1/resources/static_analysis_code_vulnerability_connectors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceId": "<string>",
  "resources": [
    {
      "displayName": "<string>",
      "uniqueId": "<string>",
      "externalUrl": "<string>",
      "occurrences": [
        {
          "path": "<string>",
          "beginLine": 123,
          "endLine": 123,
          "beginColumn": 123,
          "endColumn": 123
        }
      ],
      "severity": 123,
      "confidence": 123,
      "isResolvable": true,
      "vulnerableComponentUniqueId": "<string>",
      "description": "<string>",
      "remediationInstructions": "<string>",
      "cveId": "<string>",
      "cvss3Vector": "<string>",
      "cvss3Score": 123
    }
  ]
}
'
import requests

url = "https://api.vanta.com/v1/resources/static_analysis_code_vulnerability_connectors"

payload = {
    "resourceId": "<string>",
    "resources": [
        {
            "displayName": "<string>",
            "uniqueId": "<string>",
            "externalUrl": "<string>",
            "occurrences": [
                {
                    "path": "<string>",
                    "beginLine": 123,
                    "endLine": 123,
                    "beginColumn": 123,
                    "endColumn": 123
                }
            ],
            "severity": 123,
            "confidence": 123,
            "isResolvable": True,
            "vulnerableComponentUniqueId": "<string>",
            "description": "<string>",
            "remediationInstructions": "<string>",
            "cveId": "<string>",
            "cvss3Vector": "<string>",
            "cvss3Score": 123
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    resourceId: '<string>',
    resources: [
      {
        displayName: '<string>',
        uniqueId: '<string>',
        externalUrl: '<string>',
        occurrences: [
          {
            path: '<string>',
            beginLine: 123,
            endLine: 123,
            beginColumn: 123,
            endColumn: 123
          }
        ],
        severity: 123,
        confidence: 123,
        isResolvable: true,
        vulnerableComponentUniqueId: '<string>',
        description: '<string>',
        remediationInstructions: '<string>',
        cveId: '<string>',
        cvss3Vector: '<string>',
        cvss3Score: 123
      }
    ]
  })
};

fetch('https://api.vanta.com/v1/resources/static_analysis_code_vulnerability_connectors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

List of resources to sync

resourceId
string
required

Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources

resources
object[]
required

Response

200 - application/json

The current resources synced.

success
boolean
required